### Virtual Method

# Ide CodeIndexer generate_key_finish

#### Declaration

    gchar*
    generate_key_finish (
      IdeCodeIndexer* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Returns key for declaration of reference at a location.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A string which contains key.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.